Skip to main content
GET
/
v1
/
scans
/
{id}
Get a scan
curl --request GET \
  --url https://api.passlet.io/v1/scans/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.passlet.io/v1/scans/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.passlet.io/v1/scans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "passId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "templateVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "redemptionSnapshot": {
    "windows": [
      {
        "start": "<string>",
        "end": "<string>",
        "maxUses": 50000
      }
    ],
    "maxUses": 50000,
    "perPeriod": {
      "count": 50000,
      "timezone": "<string>"
    },
    "minIntervalMinutes": 263520,
    "activation": {
      "basis": "<string>",
      "validForHours": 43920
    }
  },
  "scanContextKey": "<string>",
  "scannedAt": "2023-11-07T05:31:56Z",
  "recordedAt": "2023-11-07T05:31:56Z",
  "reversesScanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deviceId": "<string>",
  "context": {},
  "externalRef": "<string>",
  "reason": "<string>",
  "matchedCount": 4503599627370495,
  "createdAt": "2023-11-07T05:31:56Z"
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}
{
"message": "<string>",
"correlationId": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.

Path Parameters

id
string<uuid>
required

Resource identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

OK

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
passId
string<uuid> | null
required

Pass identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
projectId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
templateVersionId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
redemptionSnapshot
object | null
required
scanContextKey
string | null
required
Maximum string length: 128
scannedAt
string<date-time>
required

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
recordedAt
string<date-time>
required

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
result
enum<string>
required
Available options:
accepted,
duplicate,
unknown,
ambiguous,
denied,
reversal
reasonCode
enum<string> | null
required
Available options:
valid,
stale_identifier,
already_scanned,
not_active,
expired,
revoked,
wrong_scope,
not_valid_context,
out_of_window,
quota_exhausted,
cooldown,
no_match,
multiple_matches
reversesScanId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
deviceId
string | null
required
Maximum string length: 128
source
enum<string>
required
Available options:
mobile_app,
api,
manual_admin
matchedBy
enum<string> | null
required
Available options:
scanner_qr_payload,
pass_id,
identifier,
apple_serial,
google_object_id
context
object
required
externalRef
string | null
required
Maximum string length: 255
reason
string | null
required
Maximum string length: 500
matchedCount
integer
required
Required range: 0 <= x <= 9007199254740991
createdAt
string<date-time>
required

ISO 8601 timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$